'use strict';

var pluginAuthNode = require('@backstage/plugin-auth-node');

exports.bitbucketServerSignInResolvers = void 0;
((bitbucketServerSignInResolvers2) => {
  bitbucketServerSignInResolvers2.emailMatchingUserEntityProfileEmail = pluginAuthNode.createSignInResolverFactory({
    create() {
      return async (info, ctx) => {
        const { profile } = info;
        if (!profile.email) {
          throw new Error(
            "Login failed, user profile does not contain an email"
          );
        }
        return ctx.signInWithCatalogUser({
          filter: {
            "spec.profile.email": profile.email
          }
        });
      };
    }
  });
})(exports.bitbucketServerSignInResolvers || (exports.bitbucketServerSignInResolvers = {}));
//# sourceMappingURL=resolvers.cjs.js.map
